<?php

namespace App\ViewModels\Orcamento\OrcamentoClienteDetalheRequestRequisicaoViewModel;

use App\Utils\Builder;

class OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder implements Builder {
	protected $id;
	protected $idOrcamento;
	protected $idProcedimento;
	protected $idTipoProcedimento;
	protected $idConvenioProcedimento;
	protected $idConcenio;
	protected $idTipoConvenio;
	protected $tipoConvenio;
	protected $convenio;
	protected $codigo;
	protected $idProcedimentoValor;
	protected $idRequisicao;
	protected $idComanda;
	protected $quantidade;
	protected $valorUnidade;
	protected $valor;
	protected $criadoPor;
	protected $dataCriacao;
	protected $horaCriacao;
	protected $atualizadoPor;
	protected $dataAtualizacao;
	protected $horaAtualizacao;

	public function build(): OrcamentoCienteDetalheRequestRequisicaoViewModel {

		$obj = new OrcamentoCienteDetalheRequestRequisicaoViewModel();

		$obj->setId( $this->id );
		$obj->setIdComanda( $this->idComanda );
		$obj->setIdConcenio( $this->idConcenio );
		$obj->setIdConvenioProcedimento( $this->idConvenioProcedimento );
		$obj->setIdOrcamento( $this->idOrcamento );
		$obj->setIdProcedimento( $this->idProcedimento );
		$obj->setIdProcedimentoValor( $this->idProcedimentoValor );
		$obj->setIdRequisicao( $this->idRequisicao );
		$obj->setIdTipoConvenio( $this->idTipoConvenio );
		$obj->setIdTipoProcedimento( $this->idTipoProcedimento );
		$obj->setAtualizadoPor( $this->atualizadoPor );
		$obj->setCodigo( $this->codigo );
		$obj->setConvenio( $this->convenio );
		$obj->setCriadoPor( $this->criadoPor );
		$obj->setDataAtualizacao( $this->dataAtualizacao );
		$obj->setDataCriacao( $this->dataCriacao );
		$obj->setHoraAtualizacao( $this->horaAtualizacao );
		$obj->setHoraCriacao( $this->horaCriacao );

		return $obj;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $idOrcamento
	 */
	public function setIdOrcamento($idOrcamento): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->idOrcamento = $idOrcamento;
		return $this;

	}

	/**
	 *
	 * @param mixed $idProcedimento
	 */
	public function setIdProcedimento($idProcedimento): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->idProcedimento = $idProcedimento;
		return $this;

	}

	/**
	 *
	 * @param mixed $idTipoProcedimento
	 */
	public function setIdTipoProcedimento($idTipoProcedimento): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->idTipoProcedimento = $idTipoProcedimento;
		return $this;

	}

	/**
	 *
	 * @param mixed $idConvenioProcedimento
	 */
	public function setIdConvenioProcedimento($idConvenioProcedimento): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->idConvenioProcedimento = $idConvenioProcedimento;
		return $this;

	}

	/**
	 *
	 * @param mixed $idConcenio
	 */
	public function setIdConcenio($idConcenio): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->idConcenio = $idConcenio;
		return $this;

	}

	/**
	 *
	 * @param mixed $idTipoConvenio
	 */
	public function setIdTipoConvenio($idTipoConvenio): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->idTipoConvenio = $idTipoConvenio;
		return $this;

	}

	/**
	 *
	 * @param mixed $tipoConvenio
	 */
	public function setTipoConvenio($tipoConvenio): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->tipoConvenio = $tipoConvenio;
		return $this;

	}

	/**
	 *
	 * @param mixed $convenio
	 */
	public function setConvenio($convenio): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->convenio = $convenio;
		return $this;

	}

	/**
	 *
	 * @param mixed $codigo
	 */
	public function setCodigo($codigo): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->codigo = $codigo;
		return $this;

	}

	/**
	 *
	 * @param mixed $idProcedimentoValor
	 */
	public function setIdProcedimentoValor($idProcedimentoValor): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->idProcedimentoValor = $idProcedimentoValor;
		return $this;

	}

	/**
	 *
	 * @param mixed $idRequisicao
	 */
	public function setIdRequisicao($idRequisicao): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->idRequisicao = $idRequisicao;
		return $this;

	}

	/**
	 *
	 * @param mixed $idComanda
	 */
	public function setIdComanda($idComanda): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->idComanda = $idComanda;
		return $this;

	}

	/**
	 *
	 * @param mixed $quantidade
	 */
	public function setQuantidade($quantidade): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->quantidade = $quantidade;
		return $this;

	}

	/**
	 *
	 * @param mixed $valorUnidade
	 */
	public function setValorUnidade($valorUnidade): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->valorUnidade = $valorUnidade;
		return $this;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->valor = $valor;
		return $this;

	}

	/**
	 *
	 * @param mixed $criadoPor
	 */
	public function setCriadoPor($criadoPor): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->criadoPor = $criadoPor;
		return $this;

	}

	/**
	 *
	 * @param mixed $dataCriacao
	 */
	public function setDataCriacao($dataCriacao): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->dataCriacao = $dataCriacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $horaCriacao
	 */
	public function setHoraCriacao($horaCriacao): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->horaCriacao = $horaCriacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $atualizadoPor
	 */
	public function setAtualizadoPor($atualizadoPor): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->atualizadoPor = $atualizadoPor;
		return $this;

	}

	/**
	 *
	 * @param mixed $dataAtualizacao
	 */
	public function setDataAtualizacao($dataAtualizacao): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->dataAtualizacao = $dataAtualizacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $horaAtualizacao
	 */
	public function setHoraAtualizacao($horaAtualizacao): OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {

		$this->horaAtualizacao = $horaAtualizacao;
		return $this;

	}

}

